%{!?dotests:%define dotests 1}
%define name python3-prettytable
%define srcname prettytable
%define version 0.7.2
%define release 1


%define is_python %(test -e /usr/bin/python3_32 && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python3_32 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python3 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python3 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif


Summary: A simple Python library for easily displaying tabular data in a visually appealing ASCII table format
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: BSD (3 clause)
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Luke Maurits <luke@maurits.id.au>
Url: http://code.google.com/p/prettytable

BuildRequires: python3 >= 3.7.4, python3-devel >= 3.7.4
Requires: python3 >= 3.7.4

%description
PrettyTable is a simple Python library designed to make it quick and easy to represent tabular data in visually appealing ASCII tables.

%prep
%setup -q -n %{srcname}-%{version}


%build
python3 setup.py build

if [ "%{dotests}" == 1 ]
then
    python3 %{srcname}_test.py
fi 


%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

python3 setup.py install --skip-build --root ${RPM_BUILD_ROOT}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc CHANGELOG COPYING PKG-INFO README
%{python_sitelib}/*

%changelog
* Thu Nov 7 2019 Ashwini Chandrappa <ashwic22@in.ibm.com> -0.7.2-1
-Build with Python3
* Thu Jun 16 2016 Reshma V Kumar <reskumar@in.ibm.com> -0.7.2-1
* Wed May 25 2016 Ravi Hirekurabar <rhirekur@in.ibm.com> - 0.7.2-1
- first version for AIX V6.1 and higher

